unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, TAGraph, TASeries, TAFuncSeries, Forms, Controls,
  Graphics, Dialogs;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1FuncSeries1: TFuncSeries;
    Chart1LineSeries1: TLineSeries;
    procedure Chart1FuncSeries1Calculate(const AX: Double; out AY: Double);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

const
  W = 3;
  M = 1.5;


{ TForm1 }

procedure TForm1.Chart1FuncSeries1Calculate(const AX: Double; out AY: Double);
begin
  AY := exp(-(sqr(AX - M) / W));
end;

procedure TForm1.FormCreate(Sender: TObject);
const
  MIN = -10;
  MAX = +10;
  N = 20;
  NOISE = 0.1;
var
  i: Integer;
  x: Double;
  y: Double;
begin
  for i:=0 to N-1 do begin
    x := MIN + (MAX - MIN) * i / (N - 1);
    y := exp(-(sqr(x-M)/W)) + (random - 0.5) * NOISE;
    Chart1LineSeries1.AddXY(x, y);
  end;
end;

end.

